package org.jeecg.modules.fbsWorkshopDispatchList.service.impl;

import org.jeecg.modules.fbsWorkshopDispatchList.entity.FbsWorkshopDispatchList;
import org.jeecg.modules.fbsWorkshopDispatchList.mapper.FbsWorkshopDispatchListMapper;
import org.jeecg.modules.fbsWorkshopDispatchList.service.IFbsWorkshopDispatchListService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;

/**
 * @Description: 车间派工单
 * @author： jeecg-boot
 * @date：   2020-10-13
 * @version： V1.0
 */
@Service
@Transactional
public class FbsWorkshopDispatchListServiceImpl extends ServiceImpl<FbsWorkshopDispatchListMapper, FbsWorkshopDispatchList> implements IFbsWorkshopDispatchListService {

    private IFbsWorkshopDispatchListService iFbsWorkshopDispatchListService;

    /**
     * 更新状态
     * @param state 状态（0初始，1接单,2暂停，3完成）
     * @param id
     * @return
     */
    public int updateState(String state,String id){
        return iFbsWorkshopDispatchListService.updateState(state,id);
    }
}
